Package com.collibra.dgc.core.api.model.meta.type

# Interface ComplexRelationType

All Superinterfaces:
  `Entity`, `NamedDescribedResource`, `NamedResource`, `Resource`, `Serializable`

public interface ComplexRelationType extends NamedDescribedResource
Represents the type of a complex relation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ComplexRelationAttributeType>`
  `getAttributeTypes()`
  Returns the list of the attribute types that are accepted for the complex relation of this type.
  `List<ComplexRelationLegType>`
  `getLegTypes()`
  Returns the list of the leg types representing assets related within complex relation type with given role and co-role.
  `String`
  `getPublicId()`
  Returns the public id of the complex relation type.
  `SymbolData`
  `getSymbolData()`
  Returns the symbol data.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface NamedDescribedResource

  `getDescription`

  ### Methods inherited from interface NamedResource

  `getName`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getPublicId

    String getPublicId()
    Returns the public id of the complex relation type.
    Returns:
      the public id

  - ### getSymbolData

    SymbolData getSymbolData()
    Returns the symbol data.
    Returns:
      the symbol data

  - ### getAttributeTypes

    List<ComplexRelationAttributeType> getAttributeTypes()
    Returns the list of the attribute types that are accepted for the complex relation of this type.
    Returns:
      the list of the attribute types that are accepted for the complex relation of this type

  - ### getLegTypes

    List<ComplexRelationLegType> getLegTypes()
    Returns the list of the leg types representing assets related within complex relation type with given role and co-role.
    Returns:
      the list of the leg types representing assets related within complex relation type with given role and co-role